v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randlists/{rndlistid}/randnumber/randstatus
Updates randomization status. Rights: OrsRandListPost, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndlistid(required): string(uuid)
ID of the randomization list.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- */*
Root Schema : RandNumberStatusTO
Type:
objectTitle:
RandNumberStatusTORequest Object for random number status
Show Source
-
randNumberId(required): string
(uuid)
Unique ID for random number
-
randStatusId(required): integer
(int32)
Random number status ID.Example:
5 -
reason: string
Description for reasonExample:
Reason for status change -
subjectId: string
(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
For invalid rand status or for manually assigning a randomization number to a subject. Or randomization number and subject are associated with different sites.Or Randomization number and subject are associated with different countries. Or no stratum group is associated with the random number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
For invalid study ID or version. Or randomization list not found. Or randomization number not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples